## org.eclipse.jst.jsf.facesconfig.emf
Interface FacesConfigFactory

All Known Implementing Classes:
  FacesConfigFactoryImpl

    public interface FacesConfigFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `FacesConfigPackage`

Field Summary
`static java.lang.String` `copyright`
`static FacesConfigFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`AbsoluteOrderingType` `createAbsoluteOrderingType()` Returns a new object of class 'Absolute Ordering Type'
`ActionListenerType` `createActionListenerType()` Returns a new object of class 'Action Listener Type'
`ApplicationExtensionType` `createApplicationExtensionType()` Returns a new object of class 'Application Extension Type'
`ApplicationFactoryType` `createApplicationFactoryType()` Returns a new object of class 'Application Factory Type'
`ApplicationType` `createApplicationType()` Returns a new object of class 'Application Type'
`AttributeClassType` `createAttributeClassType()` Returns a new object of class 'Attribute Class Type'
`AttributeExtensionType` `createAttributeExtensionType()` Returns a new object of class 'Attribute Extension Type'
`AttributeNameType` `createAttributeNameType()` Returns a new object of class 'Attribute Name Type'
`AttributeType` `createAttributeType()` Returns a new object of class 'Attribute Type'
`BaseNameType` `createBaseNameType()` Returns a new object of class 'Base Name Type'
`BehaviorClassType` `createBehaviorClassType()` Returns a new object of class 'Behavior Class Type'
`BehaviorExtensionType` `createBehaviorExtensionType()` Returns a new object of class 'Behavior Extension Type'
`BehaviorIdType` `createBehaviorIdType()` Returns a new object of class 'Behavior Id Type'
`BehaviorType` `createBehaviorType()` Returns a new object of class 'Behavior Type'
`ClientBehaviorRendererClassType` `createClientBehaviorRendererClassType()` Returns a new object of class 'Client Behavior Renderer Class Type'
`ClientBehaviorRendererType` `createClientBehaviorRendererType()` Returns a new object of class 'Client Behavior Renderer Type'
`ClientBehaviorRendererTypeType` `createClientBehaviorRendererTypeType()` Returns a new object of class 'Client Behavior Renderer Type Type'
`ComponentClassType` `createComponentClassType()` Returns a new object of class 'Component Class Type'
`ComponentExtensionType` `createComponentExtensionType()` Returns a new object of class 'Component Extension Type'
`ComponentFamilyType` `createComponentFamilyType()` Returns a new object of class 'Component Family Type'
`ComponentType` `createComponentType()` Returns a new object of class 'Component Type'
`ComponentTypeType` `createComponentTypeType()` Returns a new object of class 'Component Type Type'
`ConverterClassType` `createConverterClassType()` Returns a new object of class 'Converter Class Type'
`ConverterExtensionType` `createConverterExtensionType()` Returns a new object of class 'Converter Extension Type'
`ConverterForClassType` `createConverterForClassType()` Returns a new object of class 'Converter For Class Type'
`ConverterIdType` `createConverterIdType()` Returns a new object of class 'Converter Id Type'
`ConverterType` `createConverterType()` Returns a new object of class 'Converter Type'
`DefaultLocaleType` `createDefaultLocaleType()` Returns a new object of class 'Default Locale Type'
`DefaultRenderKitIdType` `createDefaultRenderKitIdType()` Returns a new object of class 'Default Render Kit Id Type'
`DefaultValidatorsType` `createDefaultValidatorsType()` Returns a new object of class 'Default Validators Type'
`DefaultValueType` `createDefaultValueType()` Returns a new object of class 'Default Value Type'
`DescriptionType` `createDescriptionType()` Returns a new object of class 'Description Type'
`DisplayNameType` `createDisplayNameType()` Returns a new object of class 'Display Name Type'
`DocumentRoot` `createDocumentRoot()` Returns a new object of class 'Document Root'
`DynamicAttribute` `createDynamicAttribute()` Returns a new object of class 'Dynamic Attribute'
`DynamicElement` `createDynamicElement()` Returns a new object of class 'Dynamic Element'
`ELResolverType` `createELResolverType()` Returns a new object of class 'EL Resolver Type'
`ExceptionHandlerFactoryType` `createExceptionHandlerFactoryType()` Returns a new object of class 'Exception Handler Factory Type'
`ExternalContextFactoryType` `createExternalContextFactoryType()` Returns a new object of class 'External Context Factory Type'
`FacesConfigExtensionType` `createFacesConfigExtensionType()` Returns a new object of class 'Extension Type'
`FacesConfigType` `createFacesConfigType()` Returns a new object of class 'Type'
`FacesContextFactoryType` `createFacesContextFactoryType()` Returns a new object of class 'Faces Context Factory Type'
`FacetExtensionType` `createFacetExtensionType()` Returns a new object of class 'Facet Extension Type'
`FacetNameType` `createFacetNameType()` Returns a new object of class 'Facet Name Type'
`FacetType` `createFacetType()` Returns a new object of class 'Facet Type'
`FactoryExtensionType` `createFactoryExtensionType()` Returns a new object of class 'Factory Extension Type'
`FactoryType` `createFactoryType()` Returns a new object of class 'Factory Type'
`FromActionType` `createFromActionType()` Returns a new object of class 'From Action Type'
`FromOutcomeType` `createFromOutcomeType()` Returns a new object of class 'From Outcome Type'
`FromViewIdType` `createFromViewIdType()` Returns a new object of class 'From View Id Type'
`IconType` `createIconType()` Returns a new object of class 'Icon Type'
`IfType` `createIfType()` Returns a new object of class 'If Type'
`KeyClassType` `createKeyClassType()` Returns a new object of class 'Key Class Type'
`KeyType` `createKeyType()` Returns a new object of class 'Key Type'
`LargeIconType` `createLargeIconType()` Returns a new object of class 'Large Icon Type'
`LifecycleExtensionType` `createLifecycleExtensionType()` Returns a new object of class 'Lifecycle Extension Type'
`LifecycleFactoryType` `createLifecycleFactoryType()` Returns a new object of class 'Lifecycle Factory Type'
`LifecycleType` `createLifecycleType()` Returns a new object of class 'Lifecycle Type'
`ListEntriesType` `createListEntriesType()` Returns a new object of class 'List Entries Type'
`LocaleConfigType` `createLocaleConfigType()` Returns a new object of class 'Locale Config Type'
`ManagedBeanClassType` `createManagedBeanClassType()` Returns a new object of class 'Managed Bean Class Type'
`ManagedBeanExtensionType` `createManagedBeanExtensionType()` Returns a new object of class 'Managed Bean Extension Type'
`ManagedBeanNameType` `createManagedBeanNameType()` Returns a new object of class 'Managed Bean Name Type'
`ManagedBeanScopeType` `createManagedBeanScopeType()` Returns a new object of class 'Managed Bean Scope Type'
`ManagedBeanType` `createManagedBeanType()` Returns a new object of class 'Managed Bean Type'
`ManagedPropertyType` `createManagedPropertyType()` Returns a new object of class 'Managed Property Type'
`MapEntriesType` `createMapEntriesType()` Returns a new object of class 'Map Entries Type'
`MapEntryType` `createMapEntryType()` Returns a new object of class 'Map Entry Type'
`MessageBundleType` `createMessageBundleType()` Returns a new object of class 'Message Bundle Type'
`NameType` `createNameType()` Returns a new object of class 'Name Type'
`NavigationCaseType` `createNavigationCaseType()` Returns a new object of class 'Navigation Case Type'
`NavigationHandlerType` `createNavigationHandlerType()` Returns a new object of class 'Navigation Handler Type'
`NavigationRuleExtensionType` `createNavigationRuleExtensionType()` Returns a new object of class 'Navigation Rule Extension Type'
`NavigationRuleType` `createNavigationRuleType()` Returns a new object of class 'Navigation Rule Type'
`NullValueType` `createNullValueType()` Returns a new object of class 'Null Value Type'
`OrderingOrderingType` `createOrderingOrderingType()` Returns a new object of class 'Ordering Ordering Type'
`OrderingOthersType` `createOrderingOthersType()` Returns a new object of class 'Ordering Others Type'
`OrderingType` `createOrderingType()` Returns a new object of class 'Ordering Type'
`PartialViewContextFactoryType` `createPartialViewContextFactoryType()` Returns a new object of class 'Partial View Context Factory Type'
`PhaseListenerType` `createPhaseListenerType()` Returns a new object of class 'Phase Listener Type'
`PropertyClassType` `createPropertyClassType()` Returns a new object of class 'Property Class Type'
`PropertyExtensionType` `createPropertyExtensionType()` Returns a new object of class 'Property Extension Type'
`PropertyNameType` `createPropertyNameType()` Returns a new object of class 'Property Name Type'
`PropertyResolverType` `createPropertyResolverType()` Returns a new object of class 'Property Resolver Type'
`PropertyType` `createPropertyType()` Returns a new object of class 'Property Type'
`RedirectType` `createRedirectType()` Returns a new object of class 'Redirect Type'
`RedirectViewParamType` `createRedirectViewParamType()` Returns a new object of class 'Redirect View Param Type'
`ReferencedBeanClassType` `createReferencedBeanClassType()` Returns a new object of class 'Referenced Bean Class Type'
`ReferencedBeanNameType` `createReferencedBeanNameType()` Returns a new object of class 'Referenced Bean Name Type'
`ReferencedBeanType` `createReferencedBeanType()` Returns a new object of class 'Referenced Bean Type'
`RendererClassType` `createRendererClassType()` Returns a new object of class 'Renderer Class Type'
`RendererExtensionType` `createRendererExtensionType()` Returns a new object of class 'Renderer Extension Type'
`RendererType` `createRendererType()` Returns a new object of class 'Renderer Type'
`RendererTypeType` `createRendererTypeType()` Returns a new object of class 'Renderer Type Type'
`RenderKitClassType` `createRenderKitClassType()` Returns a new object of class 'Render Kit Class Type'
`RenderKitExtensionType` `createRenderKitExtensionType()` Returns a new object of class 'Render Kit Extension Type'
`RenderKitFactoryType` `createRenderKitFactoryType()` Returns a new object of class 'Render Kit Factory Type'
`RenderKitIdType` `createRenderKitIdType()` Returns a new object of class 'Render Kit Id Type'
`RenderKitType` `createRenderKitType()` Returns a new object of class 'Render Kit Type'
`ResourceBundleType` `createResourceBundleType()` Returns a new object of class 'Resource Bundle Type'
`ResourceHandlerType` `createResourceHandlerType()` Returns a new object of class 'Resource Handler Type'
`SmallIconType` `createSmallIconType()` Returns a new object of class 'Small Icon Type'
`SourceClassType` `createSourceClassType()` Returns a new object of class 'Source Class Type'
`StateManagerType` `createStateManagerType()` Returns a new object of class 'State Manager Type'
`SuggestedValueType` `createSuggestedValueType()` Returns a new object of class 'Suggested Value Type'
`SupportedLocaleType` `createSupportedLocaleType()` Returns a new object of class 'Supported Locale Type'
`SystemEventClassType` `createSystemEventClassType()` Returns a new object of class 'System Event Class Type'
`SystemEventListenerClassType` `createSystemEventListenerClassType()` Returns a new object of class 'System Event Listener Class Type'
`SystemEventListenerType` `createSystemEventListenerType()` Returns a new object of class 'System Event Listener Type'
`TagHandlerDelegateFactoryType` `createTagHandlerDelegateFactoryType()` Returns a new object of class 'Tag Handler Delegate Factory Type'
`ToViewIdType` `createToViewIdType()` Returns a new object of class 'To View Id Type'
`ValidatorClassType` `createValidatorClassType()` Returns a new object of class 'Validator Class Type'
`ValidatorExtensionType` `createValidatorExtensionType()` Returns a new object of class 'Validator Extension Type'
`ValidatorIdType` `createValidatorIdType()` Returns a new object of class 'Validator Id Type'
`ValidatorType` `createValidatorType()` Returns a new object of class 'Validator Type'
`ValueClassType` `createValueClassType()` Returns a new object of class 'Value Class Type'
`ValueType` `createValueType()` Returns a new object of class 'Value Type'
`VariableResolverType` `createVariableResolverType()` Returns a new object of class 'Variable Resolver Type'
`VarType` `createVarType()` Returns a new object of class 'Var Type'
`ViewDeclarationLanguageFactoryType` `createViewDeclarationLanguageFactoryType()` Returns a new object of class 'View Declaration Language Factory Type'
`ViewHandlerType` `createViewHandlerType()` Returns a new object of class 'View Handler Type'
`VisitContextFactoryType` `createVisitContextFactoryType()` Returns a new object of class 'Visit Context Factory Type'
`FacesConfigPackage` `getFacesConfigPackage()` Returns the package supported by this factory

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

### eINSTANCE

    static final FacesConfigFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createAbsoluteOrderingType

    AbsoluteOrderingType createAbsoluteOrderingType()

  Returns a new object of class 'Absolute Ordering Type'.

  Returns:
    a new object of class 'Absolute Ordering Type'.

### createActionListenerType

    ActionListenerType createActionListenerType()

  Returns a new object of class 'Action Listener Type'.

  Returns:
    a new object of class 'Action Listener Type'.

### createApplicationFactoryType

    ApplicationFactoryType createApplicationFactoryType()

  Returns a new object of class 'Application Factory Type'.

  Returns:
    a new object of class 'Application Factory Type'.

### createApplicationType

    ApplicationType createApplicationType()

  Returns a new object of class 'Application Type'.

  Returns:
    a new object of class 'Application Type'.

### createAttributeClassType

    AttributeClassType createAttributeClassType()

  Returns a new object of class 'Attribute Class Type'.

  Returns:
    a new object of class 'Attribute Class Type'.

### createAttributeExtensionType

    AttributeExtensionType createAttributeExtensionType()

  Returns a new object of class 'Attribute Extension Type'.

  Returns:
    a new object of class 'Attribute Extension Type'.

### createAttributeNameType

    AttributeNameType createAttributeNameType()

  Returns a new object of class 'Attribute Name Type'.

  Returns:
    a new object of class 'Attribute Name Type'.

### createAttributeType

    AttributeType createAttributeType()

  Returns a new object of class 'Attribute Type'.

  Returns:
    a new object of class 'Attribute Type'.

### createBehaviorClassType

    BehaviorClassType createBehaviorClassType()

  Returns a new object of class 'Behavior Class Type'.

  Returns:
    a new object of class 'Behavior Class Type'.

### createBehaviorIdType

    BehaviorIdType createBehaviorIdType()

  Returns a new object of class 'Behavior Id Type'.

  Returns:
    a new object of class 'Behavior Id Type'.

### createBehaviorType

    BehaviorType createBehaviorType()

  Returns a new object of class 'Behavior Type'.

  Returns:
    a new object of class 'Behavior Type'.

### createBehaviorExtensionType

    BehaviorExtensionType createBehaviorExtensionType()

  Returns a new object of class 'Behavior Extension Type'.

  Returns:
    a new object of class 'Behavior Extension Type'.

### createClientBehaviorRendererClassType

    ClientBehaviorRendererClassType createClientBehaviorRendererClassType()

  Returns a new object of class 'Client Behavior Renderer Class Type'.

  Returns:
    a new object of class 'Client Behavior Renderer Class Type'.

### createClientBehaviorRendererType

    ClientBehaviorRendererType createClientBehaviorRendererType()

  Returns a new object of class 'Client Behavior Renderer Type'.

  Returns:
    a new object of class 'Client Behavior Renderer Type'.

### createClientBehaviorRendererTypeType

    ClientBehaviorRendererTypeType createClientBehaviorRendererTypeType()

  Returns a new object of class 'Client Behavior Renderer Type Type'.

  Returns:
    a new object of class 'Client Behavior Renderer Type Type'.

### createComponentClassType

    ComponentClassType createComponentClassType()

  Returns a new object of class 'Component Class Type'.

  Returns:
    a new object of class 'Component Class Type'.

### createComponentExtensionType

    ComponentExtensionType createComponentExtensionType()

  Returns a new object of class 'Component Extension Type'.

  Returns:
    a new object of class 'Component Extension Type'.

### createComponentFamilyType

    ComponentFamilyType createComponentFamilyType()

  Returns a new object of class 'Component Family Type'.

  Returns:
    a new object of class 'Component Family Type'.

### createComponentType

    ComponentType createComponentType()

  Returns a new object of class 'Component Type'.

  Returns:
    a new object of class 'Component Type'.

### createComponentTypeType

    ComponentTypeType createComponentTypeType()

  Returns a new object of class 'Component Type Type'.

  Returns:
    a new object of class 'Component Type Type'.

### createConverterClassType

    ConverterClassType createConverterClassType()

  Returns a new object of class 'Converter Class Type'.

  Returns:
    a new object of class 'Converter Class Type'.

### createConverterForClassType

    ConverterForClassType createConverterForClassType()

  Returns a new object of class 'Converter For Class Type'.

  Returns:
    a new object of class 'Converter For Class Type'.

### createConverterIdType

    ConverterIdType createConverterIdType()

  Returns a new object of class 'Converter Id Type'.

  Returns:
    a new object of class 'Converter Id Type'.

### createConverterType

    ConverterType createConverterType()

  Returns a new object of class 'Converter Type'.

  Returns:
    a new object of class 'Converter Type'.

### createDefaultLocaleType

    DefaultLocaleType createDefaultLocaleType()

  Returns a new object of class 'Default Locale Type'.

  Returns:
    a new object of class 'Default Locale Type'.

### createDefaultRenderKitIdType

    DefaultRenderKitIdType createDefaultRenderKitIdType()

  Returns a new object of class 'Default Render Kit Id Type'.

  Returns:
    a new object of class 'Default Render Kit Id Type'.

### createDefaultValidatorsType

    DefaultValidatorsType createDefaultValidatorsType()

  Returns a new object of class 'Default Validators Type'.

  Returns:
    a new object of class 'Default Validators Type'.

### createDefaultValueType

    DefaultValueType createDefaultValueType()

  Returns a new object of class 'Default Value Type'.

  Returns:
    a new object of class 'Default Value Type'.

### createDescriptionType

    DescriptionType createDescriptionType()

  Returns a new object of class 'Description Type'.

  Returns:
    a new object of class 'Description Type'.

### createDisplayNameType

    DisplayNameType createDisplayNameType()

  Returns a new object of class 'Display Name Type'.

  Returns:
    a new object of class 'Display Name Type'.

### createDocumentRoot

    DocumentRoot createDocumentRoot()

  Returns a new object of class 'Document Root'.

  Returns:
    a new object of class 'Document Root'.

### createDynamicAttribute

    DynamicAttribute createDynamicAttribute()

  Returns a new object of class 'Dynamic Attribute'.

  Returns:
    a new object of class 'Dynamic Attribute'.

### createDynamicElement

    DynamicElement createDynamicElement()

  Returns a new object of class 'Dynamic Element'.

  Returns:
    a new object of class 'Dynamic Element'.

### createELResolverType

    ELResolverType createELResolverType()

  Returns a new object of class 'EL Resolver Type'.

  Returns:
    a new object of class 'EL Resolver Type'.

### createExceptionHandlerFactoryType

    ExceptionHandlerFactoryType createExceptionHandlerFactoryType()

  Returns a new object of class 'Exception Handler Factory Type'.

  Returns:
    a new object of class 'Exception Handler Factory Type'.

### createExternalContextFactoryType

    ExternalContextFactoryType createExternalContextFactoryType()

  Returns a new object of class 'External Context Factory Type'.

  Returns:
    a new object of class 'External Context Factory Type'.

### createFacesConfigType

    FacesConfigType createFacesConfigType()

  Returns a new object of class 'Type'.

  Returns:
    a new object of class 'Type'.

### createFacesContextFactoryType

    FacesContextFactoryType createFacesContextFactoryType()

  Returns a new object of class 'Faces Context Factory Type'.

  Returns:
    a new object of class 'Faces Context Factory Type'.

### createFacetExtensionType

    FacetExtensionType createFacetExtensionType()

  Returns a new object of class 'Facet Extension Type'.

  Returns:
    a new object of class 'Facet Extension Type'.

### createFacetNameType

    FacetNameType createFacetNameType()

  Returns a new object of class 'Facet Name Type'.

  Returns:
    a new object of class 'Facet Name Type'.

### createFacetType

    FacetType createFacetType()

  Returns a new object of class 'Facet Type'.

  Returns:
    a new object of class 'Facet Type'.

### createFactoryType

    FactoryType createFactoryType()

  Returns a new object of class 'Factory Type'.

  Returns:
    a new object of class 'Factory Type'.

### createFromActionType

    FromActionType createFromActionType()

  Returns a new object of class 'From Action Type'.

  Returns:
    a new object of class 'From Action Type'.

### createFromOutcomeType

    FromOutcomeType createFromOutcomeType()

  Returns a new object of class 'From Outcome Type'.

  Returns:
    a new object of class 'From Outcome Type'.

### createFromViewIdType

    FromViewIdType createFromViewIdType()

  Returns a new object of class 'From View Id Type'.

  Returns:
    a new object of class 'From View Id Type'.

### createIconType

    IconType createIconType()

  Returns a new object of class 'Icon Type'.

  Returns:
    a new object of class 'Icon Type'.

### createIfType

    IfType createIfType()

  Returns a new object of class 'If Type'.

  Returns:
    a new object of class 'If Type'.

### createKeyClassType

    KeyClassType createKeyClassType()

  Returns a new object of class 'Key Class Type'.

  Returns:
    a new object of class 'Key Class Type'.

### createKeyType

    KeyType createKeyType()

  Returns a new object of class 'Key Type'.

  Returns:
    a new object of class 'Key Type'.

### createLargeIconType

    LargeIconType createLargeIconType()

  Returns a new object of class 'Large Icon Type'.

  Returns:
    a new object of class 'Large Icon Type'.

### createLifecycleFactoryType

    LifecycleFactoryType createLifecycleFactoryType()

  Returns a new object of class 'Lifecycle Factory Type'.

  Returns:
    a new object of class 'Lifecycle Factory Type'.

### createLifecycleType

    LifecycleType createLifecycleType()

  Returns a new object of class 'Lifecycle Type'.

  Returns:
    a new object of class 'Lifecycle Type'.

### createListEntriesType

    ListEntriesType createListEntriesType()

  Returns a new object of class 'List Entries Type'.

  Returns:
    a new object of class 'List Entries Type'.

### createLocaleConfigType

    LocaleConfigType createLocaleConfigType()

  Returns a new object of class 'Locale Config Type'.

  Returns:
    a new object of class 'Locale Config Type'.

### createManagedBeanClassType

    ManagedBeanClassType createManagedBeanClassType()

  Returns a new object of class 'Managed Bean Class Type'.

  Returns:
    a new object of class 'Managed Bean Class Type'.

### createManagedBeanNameType

    ManagedBeanNameType createManagedBeanNameType()

  Returns a new object of class 'Managed Bean Name Type'.

  Returns:
    a new object of class 'Managed Bean Name Type'.

### createManagedBeanScopeType

    ManagedBeanScopeType createManagedBeanScopeType()

  Returns a new object of class 'Managed Bean Scope Type'.

  Returns:
    a new object of class 'Managed Bean Scope Type'.

### createManagedBeanType

    ManagedBeanType createManagedBeanType()

  Returns a new object of class 'Managed Bean Type'.

  Returns:
    a new object of class 'Managed Bean Type'.

### createManagedPropertyType

    ManagedPropertyType createManagedPropertyType()

  Returns a new object of class 'Managed Property Type'.

  Returns:
    a new object of class 'Managed Property Type'.

### createMapEntriesType

    MapEntriesType createMapEntriesType()

  Returns a new object of class 'Map Entries Type'.

  Returns:
    a new object of class 'Map Entries Type'.

### createMapEntryType

    MapEntryType createMapEntryType()

  Returns a new object of class 'Map Entry Type'.

  Returns:
    a new object of class 'Map Entry Type'.

### createMessageBundleType

    MessageBundleType createMessageBundleType()

  Returns a new object of class 'Message Bundle Type'.

  Returns:
    a new object of class 'Message Bundle Type'.

### createNameType

    NameType createNameType()

  Returns a new object of class 'Name Type'.

  Returns:
    a new object of class 'Name Type'.

### createNavigationCaseType

    NavigationCaseType createNavigationCaseType()

  Returns a new object of class 'Navigation Case Type'.

  Returns:
    a new object of class 'Navigation Case Type'.

### createNavigationHandlerType

    NavigationHandlerType createNavigationHandlerType()

  Returns a new object of class 'Navigation Handler Type'.

  Returns:
    a new object of class 'Navigation Handler Type'.

### createNavigationRuleType

    NavigationRuleType createNavigationRuleType()

  Returns a new object of class 'Navigation Rule Type'.

  Returns:
    a new object of class 'Navigation Rule Type'.

### createNullValueType

    NullValueType createNullValueType()

  Returns a new object of class 'Null Value Type'.

  Returns:
    a new object of class 'Null Value Type'.

### createOrderingType

    OrderingType createOrderingType()

  Returns a new object of class 'Ordering Type'.

  Returns:
    a new object of class 'Ordering Type'.

### createOrderingOrderingType

    OrderingOrderingType createOrderingOrderingType()

  Returns a new object of class 'Ordering Ordering Type'.

  Returns:
    a new object of class 'Ordering Ordering Type'.

### createOrderingOthersType

    OrderingOthersType createOrderingOthersType()

  Returns a new object of class 'Ordering Others Type'.

  Returns:
    a new object of class 'Ordering Others Type'.

### createPartialViewContextFactoryType

    PartialViewContextFactoryType createPartialViewContextFactoryType()

  Returns a new object of class 'Partial View Context Factory Type'.

  Returns:
    a new object of class 'Partial View Context Factory Type'.

### createPhaseListenerType

    PhaseListenerType createPhaseListenerType()

  Returns a new object of class 'Phase Listener Type'.

  Returns:
    a new object of class 'Phase Listener Type'.

### createPropertyClassType

    PropertyClassType createPropertyClassType()

  Returns a new object of class 'Property Class Type'.

  Returns:
    a new object of class 'Property Class Type'.

### createPropertyExtensionType

    PropertyExtensionType createPropertyExtensionType()

  Returns a new object of class 'Property Extension Type'.

  Returns:
    a new object of class 'Property Extension Type'.

### createPropertyNameType

    PropertyNameType createPropertyNameType()

  Returns a new object of class 'Property Name Type'.

  Returns:
    a new object of class 'Property Name Type'.

### createPropertyResolverType

    PropertyResolverType createPropertyResolverType()

  Returns a new object of class 'Property Resolver Type'.

  Returns:
    a new object of class 'Property Resolver Type'.

### createPropertyType

    PropertyType createPropertyType()

  Returns a new object of class 'Property Type'.

  Returns:
    a new object of class 'Property Type'.

### createRedirectType

    RedirectType createRedirectType()

  Returns a new object of class 'Redirect Type'.

  Returns:
    a new object of class 'Redirect Type'.

### createRedirectViewParamType

    RedirectViewParamType createRedirectViewParamType()

  Returns a new object of class 'Redirect View Param Type'.

  Returns:
    a new object of class 'Redirect View Param Type'.

### createReferencedBeanClassType

    ReferencedBeanClassType createReferencedBeanClassType()

  Returns a new object of class 'Referenced Bean Class Type'.

  Returns:
    a new object of class 'Referenced Bean Class Type'.

### createReferencedBeanNameType

    ReferencedBeanNameType createReferencedBeanNameType()

  Returns a new object of class 'Referenced Bean Name Type'.

  Returns:
    a new object of class 'Referenced Bean Name Type'.

### createReferencedBeanType

    ReferencedBeanType createReferencedBeanType()

  Returns a new object of class 'Referenced Bean Type'.

  Returns:
    a new object of class 'Referenced Bean Type'.

### createRendererClassType

    RendererClassType createRendererClassType()

  Returns a new object of class 'Renderer Class Type'.

  Returns:
    a new object of class 'Renderer Class Type'.

### createRendererExtensionType

    RendererExtensionType createRendererExtensionType()

  Returns a new object of class 'Renderer Extension Type'.

  Returns:
    a new object of class 'Renderer Extension Type'.

### createRendererType

    RendererType createRendererType()

  Returns a new object of class 'Renderer Type'.

  Returns:
    a new object of class 'Renderer Type'.

### createRendererTypeType

    RendererTypeType createRendererTypeType()

  Returns a new object of class 'Renderer Type Type'.

  Returns:
    a new object of class 'Renderer Type Type'.

### createRenderKitClassType

    RenderKitClassType createRenderKitClassType()

  Returns a new object of class 'Render Kit Class Type'.

  Returns:
    a new object of class 'Render Kit Class Type'.

### createRenderKitFactoryType

    RenderKitFactoryType createRenderKitFactoryType()

  Returns a new object of class 'Render Kit Factory Type'.

  Returns:
    a new object of class 'Render Kit Factory Type'.

### createRenderKitIdType

    RenderKitIdType createRenderKitIdType()

  Returns a new object of class 'Render Kit Id Type'.

  Returns:
    a new object of class 'Render Kit Id Type'.

### createRenderKitType

    RenderKitType createRenderKitType()

  Returns a new object of class 'Render Kit Type'.

  Returns:
    a new object of class 'Render Kit Type'.

### createSmallIconType

    SmallIconType createSmallIconType()

  Returns a new object of class 'Small Icon Type'.

  Returns:
    a new object of class 'Small Icon Type'.

### createSourceClassType

    SourceClassType createSourceClassType()

  Returns a new object of class 'Source Class Type'.

  Returns:
    a new object of class 'Source Class Type'.

### createStateManagerType

    StateManagerType createStateManagerType()

  Returns a new object of class 'State Manager Type'.

  Returns:
    a new object of class 'State Manager Type'.

### createSuggestedValueType

    SuggestedValueType createSuggestedValueType()

  Returns a new object of class 'Suggested Value Type'.

  Returns:
    a new object of class 'Suggested Value Type'.

### createSupportedLocaleType

    SupportedLocaleType createSupportedLocaleType()

  Returns a new object of class 'Supported Locale Type'.

  Returns:
    a new object of class 'Supported Locale Type'.

### createSystemEventClassType

    SystemEventClassType createSystemEventClassType()

  Returns a new object of class 'System Event Class Type'.

  Returns:
    a new object of class 'System Event Class Type'.

### createSystemEventListenerClassType

    SystemEventListenerClassType createSystemEventListenerClassType()

  Returns a new object of class 'System Event Listener Class Type'.

  Returns:
    a new object of class 'System Event Listener Class Type'.

### createSystemEventListenerType

    SystemEventListenerType createSystemEventListenerType()

  Returns a new object of class 'System Event Listener Type'.

  Returns:
    a new object of class 'System Event Listener Type'.

### createTagHandlerDelegateFactoryType

    TagHandlerDelegateFactoryType createTagHandlerDelegateFactoryType()

  Returns a new object of class 'Tag Handler Delegate Factory Type'.

  Returns:
    a new object of class 'Tag Handler Delegate Factory Type'.

### createToViewIdType

    ToViewIdType createToViewIdType()

  Returns a new object of class 'To View Id Type'.

  Returns:
    a new object of class 'To View Id Type'.

### createValidatorClassType

    ValidatorClassType createValidatorClassType()

  Returns a new object of class 'Validator Class Type'.

  Returns:
    a new object of class 'Validator Class Type'.

### createValidatorIdType

    ValidatorIdType createValidatorIdType()

  Returns a new object of class 'Validator Id Type'.

  Returns:
    a new object of class 'Validator Id Type'.

### createValidatorType

    ValidatorType createValidatorType()

  Returns a new object of class 'Validator Type'.

  Returns:
    a new object of class 'Validator Type'.

### createValueClassType

    ValueClassType createValueClassType()

  Returns a new object of class 'Value Class Type'.

  Returns:
    a new object of class 'Value Class Type'.

### createValueType

    ValueType createValueType()

  Returns a new object of class 'Value Type'.

  Returns:
    a new object of class 'Value Type'.

### createVariableResolverType

    VariableResolverType createVariableResolverType()

  Returns a new object of class 'Variable Resolver Type'.

  Returns:
    a new object of class 'Variable Resolver Type'.

### createViewHandlerType

    ViewHandlerType createViewHandlerType()

  Returns a new object of class 'View Handler Type'.

  Returns:
    a new object of class 'View Handler Type'.

### createApplicationExtensionType

    ApplicationExtensionType createApplicationExtensionType()

  Returns a new object of class 'Application Extension Type'.

  Returns:
    a new object of class 'Application Extension Type'.

### createResourceBundleType

    ResourceBundleType createResourceBundleType()

  Returns a new object of class 'Resource Bundle Type'.

  Returns:
    a new object of class 'Resource Bundle Type'.

### createBaseNameType

    BaseNameType createBaseNameType()

  Returns a new object of class 'Base Name Type'.

  Returns:
    a new object of class 'Base Name Type'.

### createVarType

    VarType createVarType()

  Returns a new object of class 'Var Type'.

  Returns:
    a new object of class 'Var Type'.

### createViewDeclarationLanguageFactoryType

    ViewDeclarationLanguageFactoryType createViewDeclarationLanguageFactoryType()

  Returns a new object of class 'View Declaration Language Factory Type'.

  Returns:
    a new object of class 'View Declaration Language Factory Type'.

### createVisitContextFactoryType

    VisitContextFactoryType createVisitContextFactoryType()

  Returns a new object of class 'Visit Context Factory Type'.

  Returns:
    a new object of class 'Visit Context Factory Type'.

### createRenderKitExtensionType

    RenderKitExtensionType createRenderKitExtensionType()

  Returns a new object of class 'Render Kit Extension Type'.

  Returns:
    a new object of class 'Render Kit Extension Type'.

### createResourceHandlerType

    ResourceHandlerType createResourceHandlerType()

  Returns a new object of class 'Resource Handler Type'.

  Returns:
    a new object of class 'Resource Handler Type'.

### createNavigationRuleExtensionType

    NavigationRuleExtensionType createNavigationRuleExtensionType()

  Returns a new object of class 'Navigation Rule Extension Type'.

  Returns:
    a new object of class 'Navigation Rule Extension Type'.

### createValidatorExtensionType

    ValidatorExtensionType createValidatorExtensionType()

  Returns a new object of class 'Validator Extension Type'.

  Returns:
    a new object of class 'Validator Extension Type'.

### createFacesConfigExtensionType

    FacesConfigExtensionType createFacesConfigExtensionType()

  Returns a new object of class 'Extension Type'.

  Returns:
    a new object of class 'Extension Type'.

### createFactoryExtensionType

    FactoryExtensionType createFactoryExtensionType()

  Returns a new object of class 'Factory Extension Type'.

  Returns:
    a new object of class 'Factory Extension Type'.

### createLifecycleExtensionType

    LifecycleExtensionType createLifecycleExtensionType()

  Returns a new object of class 'Lifecycle Extension Type'.

  Returns:
    a new object of class 'Lifecycle Extension Type'.

### createManagedBeanExtensionType

    ManagedBeanExtensionType createManagedBeanExtensionType()

  Returns a new object of class 'Managed Bean Extension Type'.

  Returns:
    a new object of class 'Managed Bean Extension Type'.

### createConverterExtensionType

    ConverterExtensionType createConverterExtensionType()

  Returns a new object of class 'Converter Extension Type'.

  Returns:
    a new object of class 'Converter Extension Type'.

### getFacesConfigPackage

    FacesConfigPackage getFacesConfigPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.